Support » Plugin: Widget Logic » Widget Logic Not Compatible with WP 3.0?

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Contributor alanft

    (@alanft)

    Works ok on my local wp3 and the compatibility widget says 21 of 25 ppl say it works ok too. Not going to mark it officially compatible till i’ve had a better look or had some troubleshooting feedback from the ppl having the problems

    If you’d like to help I’d need you to check some basic logic on a standard theme to start with

    Any help appreciated

    Well, it’s not working for me and I’m using the Twenty Ten theme running on version 3.0 of WordPress. I’ll be glad to help out any way I can. What is basic logic on a standard theme mean?

    Plugin Contributor alanft

    (@alanft)

    http://wordpress.org/extend/plugins/widget-logic/faq/

    Try switching to the WP default theme – does that change things?

    By basic logic, I mean some simple things like !is_home() or !is_category()

    Twenty Ten is a default theme, for version 3.0 So how does this help me? I need the Logic plugin to work with my current version of WP. Are you making an update to the plugin to be compatible with 3.0 ?

    If not I’ll have to look for another solution.

    Thanks.

    Plugin Contributor alanft

    (@alanft)

    Oops – you can see I haven’t looked at WP3 a great deal *blush*

    I’m sorry it doesn’t work for you and I won’t be able to make it work for you any time very soon, so perhaps looking for another solution is the right step to take.

    I’ll try that theme (rather than my blogs theme) myself to see if the problem is related to that, but I doubt that will be the source of the problem.

    If anyone has time to help troubleshoot why WL isn’t working with their WP3 setup, I’ll be happy to get a fix as soon as I can.

    I went with Dynamic Widgets instead. It works with WP 3.0 and you don’t need to insert any code to get it to work (and it does an excellent job).

    Plugin Contributor alanft

    (@alanft)

    i’m glad it worked out for you

    I tried the twenty10 theme, and it has no effect I can see on WL, which is working fine on a local MAMP install.

    A general appeal to the people who’ve registered WL as not working with 3.0 — if anyone is willing to spend some time troubleshooting what the issue is I’ll only be too happy to work out what combination of circumstances is causing the issue.

    Would be delighted to help with Widget Logic on WordPress 3.0.

    It seems to work fine for me with static pages but for Blog type pages it is very odd. is_category() works fine, but is_single() and is_home() or is_Page(xx) where xx is the page set for the blog page do not work and I have tried so many different variations. Its very frustrating and once the client pays me want to contribute towards your Cancer Research fund.

    Plugin Contributor alanft

    (@alanft)

    I use is_single and is_home ok. not actually used is_page – are you sure you are using as described on

    http://codex.wordpress.org/Conditional_Tags#A_PAGE_Page

    ?

    Have you tried to see what happens if you switch to a simple theme?

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Widget Logic Not Compatible with WP 3.0?’ is closed to new replies.